### Method

# Foundry DapDebugger call

since: 1.1

#### Declaration [src]

    DexFuture*
    foundry_dap_debugger_call (
      FoundryDapDebugger* self,
      JsonNode* node
    )

#### Description [src]

Makes a request to the DAP server. The reply will be provided via the resulting future, even if the reply contains an error.

Available since: 1.1

#### Parameters

`node`

  Type: `JsonNode`

  No description available.

  The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `JsonNode` or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.